<?php

class NEWS{
	private $db;
	private $error = 0;
	private $meldung;
	private $array = array();
	private $config;
	private $id = 0;
	
	function __construct(){
		global $datenbank,$grundconfig;
		$this->db = $datenbank;
		$this->config = $grundconfig;
	}
	
	private function make_array($post){
		foreach($post AS $key => $value){
			if($key != '' && $key != 'news_komment'){
				$this->array[$key] = $this->db->escape($value);
			}
		}
	}
	
	public function SetID($id){
		if(is_numeric($id)){ $this->id = htmlspecialchars($id);}
	}
	
	public function Ausgabe(){
		$aus = $this->db->get_row("SELECT titel,news FROM ". PREFIX . NEWS ." WHERE id = '$this->id' ");
		return $aus;
	}
	
	public function NewsKommentare(){
		if($this->config->news_komment == 1){
			$aus = '<ul class="list-group">';
			foreach($this->db->get_results("SELECT datum,uid,kommentar FROM ". PREFIX . NEWSK ." WHERE news = '$this->id' ") AS $res){
				$userinfo = userinfo($res->uid);
				$aus .= '
					<li class="list-group-item">
						<div class="row">
							<div class="col-md-3">
								Kommentar von <a href="?page=/nickpage&nick='. $userinfo->nickname .'">'. $userinfo->nickname .'</a>
								<br><small><i>geschrieben '. niceDate($res->datum) .'</i></small>
							</div>
							<div class="col-md-9">'. nl2br($res->kommentar) .'</div>
						</div>
					</li>
				';
			}
			$aus .= '</ul>';
			$aus .= '<hr>
			<form method="post" action="">
				<div class="form-group">
					<label for="exampleInputEmail1">Kommentar verfassen</label>
					<textarea class="form-control" name="news_kommentar_text"></textarea><br>
					<small id="emailHelp" class="form-text text-muted">hier kannst du deine Meinung sagen</small>
				</div>
				<input type="submit" class="btn btn-default" name="news_komment" value="Kommentar Speichern">
			</form>
			';
			
			
			return $aus;
		}
	}
}
?>
