<?php

class chatClass{
	private $db;
	private $session = array();
	private $array = array();
	private $error = 0;
	private $meldung = '';
	private $ChatSetting;
	private $konto;
	private $post;
	
	function __construct(){
		global $datenbank,$_SESSION,$konto,$_POST;
		$this->db = $datenbank;
		$this->session = $this->db->escape($_SESSION);
		$this->ChatSetting = $this->db->get_row("SELECT sb_reload,sb_verguetung FROM ". PREFIX . CHATSE ." ",true);
		$this->konto = $konto;
		foreach($_POST AS $key => $value){
			if($key == 'inhalt'){
				$this->post[$key] = $this->db->escape($value);
			}
		}
	}
	
    public static function getRestChatLines($id){
		$arr = array();
		$jsonData = '{"results":[';
		$db_connection = new mysqli( DB_HOST, DB_USER, DB_PASS, DB_BASS);
		$db_connection->query( "SET NAMES 'UTF8'" );
		$statement = $db_connection->prepare( "SELECT id, absender, nachricht, time FROM ". PREFIX . CHAT ." WHERE id > ?");
		$statement->bind_param( 'i', $id);
		$statement->execute();
		$statement->bind_result( $id, $usrname, $chattext, $chattime);
		$line = new stdClass;
		while ($statement->fetch()) {
			$line->id = $id;
			$line->usrname = $usrname;
			$line->chattext = $chattext;
			$line->chattime = date('H:i:s', $chattime);
			$arr[] = json_encode($line);
		}
		$statement->close();
		$db_connection->close();
		$jsonData .= implode(",", $arr);
		$jsonData .= ']}';
		return $jsonData;
    }
    
    public static function setChatLines( $chattext, $usrname, $color) {
		$db_connection = new mysqli( DB_HOST, DB_USER, DB_PASS, DB_BASS);
		$db_connection->query( "SET NAMES 'UTF8'" );
		$statement = $db_connection->prepare( "INSERT INTO ". PREFIX . CHAT ."( usrname, color, chattext) VALUES(?, ?, ?)");
		$statement->bind_param( 'sss', $usrname, $color, $chattext);
		$statement->execute();
		$statement->close();
		$db_connection->close();
    }
    
    private function make_array($post){
		foreach($post AS $key => $value){
			if($key != '' && $value != 'Senden'){
				$this->post[$key] = $this->db->escape($value);
			}
		}
	}
	
	private function InsertPruef(){
		$sperre = $this->db->get_row("SELECT chat_sperre FROM ". PREFIX . KONTO ." WHERE uid = '". $this->session['uid'] ."' ",true);
		if($sperre->chat_sperre == '1'){ $this->error = 1; $this->meldung = 'Du bist für den Chat gesperrt.';}
		if(empty($this->post['inhalt'])){ $this->error = 1; $this->meldung = 'Bitte Text eingeben.';}
		if($this->session['uid'] <= 0){ $this->error = 1; $this->meldung = 'Ung&uuml;ltige User-ID.';}
	}
	
	private function InsertPunkte(){
		if($this->db->num_rows("SELECT * FROM ". PREFIX . RELOAD ." WHERE uid = '". $this->session['uid'] ."' AND tan = 'sb_reload' AND bis > '". time() ."' ") == 0){
			$this->konto->set_var($this->session['uid'],$this->ChatSetting->sb_verguetung,'+','Gutschrift chatbonus');
		}
	}
	
	private function InsertChat(){
		$user = $this->db->get_row("SELECT nickname FROM ". PREFIX . USER ." WHERE uid = '". $this->session['uid'] ."' ",true);
		$InsertArray = array(
			"absender" => $user->nickname,
			"nachricht" => $this->post['inhalt'],
			"time" => time()
		);
		$this->db->insert(PREFIX . CHAT,$InsertArray);
	}
    
    public function Insert($post){
		$this->make_array($post);
		$this->InsertPruef();
		if($this->error == 0){
			$this->InsertPunkte();
			$this->InsertChat();
		}
		meldung($this->error,$this->meldung);
	}
}
?>
